List logs for a attempt
GET
/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/logscurl -X GET 'https://api.embodiflow.io/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/logs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- trainingJobIdstring必填
- attemptIdstring必填
响应
Success
- dataobject必填
- textstring必填
- sourcestring必填可选值kubernetesartifactunavailable
- unavailableReasonstring | null
- truncatedone of必填
- containerstring | null
- fetchedAtstring必填
- lineStartnumber
- lineEndnumber
- nextLineCursornumber | null
- prevLineCursornumber | null
- hasMoreBeforeone of
- hasMoreAfterone of
- totalLinesnumber
响应示例
{
"data": {
"text": "string",
"source": "kubernetes",
"unavailableReason": "string",
"truncated": false,
"container": "string",
"fetchedAt": "string",
"lineStart": 0,
"lineEnd": 0,
"nextLineCursor": 0,
"prevLineCursor": 0,
"hasMoreBefore": false,
"hasMoreAfter": false,
"totalLines": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1